Information on source package libsdl2-image

Available versions

ReleaseVersion
jessie2.0.0+dfsg-3+deb8u1
jessie (security)2.0.0+dfsg-3+deb8u2
stretch2.0.1+dfsg-2+deb9u2
stretch (security)2.0.1+dfsg-2+deb9u1
buster2.0.4+dfsg1-1+deb10u1
bullseye2.0.5+dfsg1-1
sid2.0.5+dfsg1-1

Open issues

BugjessiestretchbusterbullseyesidDescription
CVE-2019-5060vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn exploitable code execution vulnerability exists in the XPM image re ...
CVE-2019-5059vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn exploitable code execution vulnerability exists in the XPM image re ...
CVE-2019-5057vulnerable (no DSA)fixedfixedfixedfixedAn exploitable code execution vulnerability exists in the PCX image-re ...
CVE-2019-13616vulnerable (no DSA, postponed)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableSDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 ha ...

Resolved issues

BugDescription
CVE-2019-7635SDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 ha ...
CVE-2019-5058An exploitable code execution vulnerability exists in the XCF image re ...
CVE-2019-5052An exploitable integer overflow vulnerability exists when loading a PC ...
CVE-2019-5051An exploitable heap-based buffer overflow vulnerability exists when lo ...
CVE-2019-12222An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12221An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12220An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12219An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12218An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12217An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12216An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2018-3977An exploitable code execution vulnerability exists in the XCF image re ...
CVE-2018-3839An exploitable code execution vulnerability exists in the XCF image re ...
CVE-2018-3838An exploitable information vulnerability exists in the XCF image rende ...
CVE-2018-3837An exploitable information disclosure vulnerability exists in the PCX ...
CVE-2017-2887An exploitable buffer overflow vulnerability exists in the XCF propert ...
CVE-2017-14450A buffer overflow vulnerability exists in the GIF image parsing functi ...
CVE-2017-14449A double-Free vulnerability exists in the XCF image rendering function ...
CVE-2017-14448An exploitable code execution vulnerability exists in the XCF image re ...
CVE-2017-14442An exploitable code execution vulnerability exists in the BMP image re ...
CVE-2017-14441An exploitable code execution vulnerability exists in the ICO image re ...
CVE-2017-14440An exploitable code execution vulnerability exists in the ILBM image r ...
CVE-2017-12122An exploitable code execution vulnerability exists in the ILBM image r ...

Security announcements

DSA / DLADescription
DLA-1861-1libsdl2-image - security update
DSA-4177-1libsdl2-image - security update
DSA-4177-1libsdl2-image - security update

Search for package or bug name: Reporting problems